In order to remove pgMemento open a shell environment, move to the pgMemento directory and run the `UNINSTALL_PGMEMENTO.sql` script with the psql client.

```bash
psql -h localhost -p 5432 -U my_user -d my_database -f UNINSTALL_PGMEMENTO.sql
```

If you've installed pgMemento as an extension you can run:

```sql
DROP EXTENSION pgmemento CASCADE;
```

This will remove the `pgmemento` schema with all its tables, views, sequences and functions. Log triggers will also be removed from tables (due to the `CASCADE`). However, the chosen audit_id column will remain in the table and must be dropped manually.
