### [Home](https://github.com/pgMemento/pgMemento/wiki/Home)

### General
* [How does it work](https://github.com/pgMemento/pgMemento/wiki/How-does-it-work)
* [Background](https://github.com/pgMemento/pgMemento/wiki/Background)
* [Database schema](https://github.com/pgMemento/pgMemento/wiki/Database-schema)
* [History](https://github.com/pgMemento/pgMemento/wiki/History)
* [Media](https://github.com/pgMemento/pgMemento/wiki/Media)

### Setup
* [Requirements](https://github.com/pgMemento/pgMemento/wiki/Requirements)
* [Install pgMemento](https://github.com/pgMemento/pgMemento/wiki/Install-pgMemento)
* [Initialize auditing](https://github.com/pgMemento/pgMemento/wiki/Initialize-auditing)
* [Pause and restart logging](https://github.com/pgMemento/pgMemento/wiki/Pause-and-restart-logging)
* [End an audit trail](https://github.com/pgMemento/pgMemento/wiki/End-an-audit-trail)
* [Uninstall pgMemento](https://github.com/pgMemento/pgMemento/wiki/Uninstall-pgMemento)
* [Upgrade from v0.6 to v0.6.1](https://github.com/pgMemento/pgMemento/wiki/Upgrade-from-v0.6-to-v0.6.1)
* [Upgrade from v0.6.1 to v0.7](https://github.com/pgMemento/pgMemento/wiki/Upgrade-from-v0.6.1-to-v0.7)
* [Upgrade from v0.7 to v0.7.3](https://github.com/pgMemento/pgMemento/wiki/Upgrade-from-v0.7-to-v0.7.3)

### Schema
* [Transaction_log](https://github.com/pgMemento/pgMemento/wiki/Transaction_log)
* [Table_event_log](https://github.com/pgMemento/pgMemento/wiki/Table_event_log)
* [Row_log](https://github.com/pgMemento/pgMemento/wiki/Row_log)
* [Audit_schema_log](https://github.com/pgMemento/pgMemento/wiki/Audit_schema_log)
* [Audit_table_log](https://github.com/pgMemento/pgMemento/wiki/Audit_table_log)
* [Audit_column_log](https://github.com/pgMemento/pgMemento/wiki/Audit_column_log)
* [Audit_tables VIEW](https://github.com/pgMemento/pgMemento/wiki/Audit_tables-VIEW)
* [Audit_tables_dependency VIEW](https://github.com/pgMemento/pgMemento/wiki/Audit_tables_dependency-VIEW)

### Logging behaviour
* [What is logged](https://github.com/pgMemento/pgMemento/wiki/What-is-logged)
* [DML logging](https://github.com/pgMemento/pgMemento/wiki/DML-logging)
* [DDL logging](https://github.com/pgMemento/pgMemento/wiki/DDL-logging)
* [User-defined session infos](https://github.com/pgMemento/pgMemento/wiki/User-defined-session-infos)

### Query logs
* [Search by key](https://github.com/pgMemento/pgMemento/wiki/Search-by-key)
* [Search by key and value](https://github.com/pgMemento/pgMemento/wiki/Search-by-key-and-value)
* [Merge JSONB logs](https://github.com/pgMemento/pgMemento/wiki/Merge-JSONB-logs)

### Restore data
* [Thinking in transactions](https://github.com/pgMemento/pgMemento/wiki/Thinking-in-transactions)
* [Restore a value](https://github.com/pgMemento/pgMemento/wiki/Restore-a-value)
* [Restore a record](https://github.com/pgMemento/pgMemento/wiki/Restore-a-record)
* [Restore a recordset (table)](https://github.com/pgMemento/pgMemento/wiki/Restore-a-recordset)
* [Restore multiple versions at once](https://github.com/pgMemento/pgMemento/wiki/Restore-multiple-versions-at-once)
* [Persist a restored recordset](https://github.com/pgMemento/pgMemento/wiki/Persist-a-restored-recordset)

### Revert transactions
* [How reverts work](https://github.com/pgMemento/pgMemento/wiki/How-reverts-work)
* [Reverting multiple transactions](https://github.com/pgMemento/pgMemento/wiki/Reverting-multiple-transactions)

### Manage the audit trail
* [Delete logs](https://github.com/pgMemento/pgMemento/wiki/Delete-logs)
* [Data corrections](https://github.com/pgMemento/pgMemento/wiki/Data-corrections)

### Future development
* [Branching](https://github.com/pgMemento/pgMemento/wiki/Branching)
* [More log tables for database objects](https://github.com/pgMemento/pgMemento/wiki/More-log-tables-for-database-objects)
* [Testing](https://github.com/pgMemento/pgMemento/wiki/Testing)
* [Collection of ideas](https://github.com/pgMemento/pgMemento/wiki/Collection-of-ideas)
