Restoring a set of records from a table works very similar like restoring a single record. Use `pgmemento.restore_recordset` and leave out the `aid` (`audit_id`) parameter.

```sql
SELECT
  *
FROM
  pgmemento.restore_recordset(1, 10, 'table_A', 'public', 'audit_trail_id')
  AS (id integer, column_B text, column_C character, audit_trail_id bigint);
```
